function(print)
    list(GET ARGV 0 MessageType)
    if(MessageType STREQUAL FATAL_ERROR OR MessageType STREQUAL SEND_ERROR)
        list(REMOVE_AT ARGV 0)
        message(${MessageType} "${BoldRed}${ARGV}${EndColour}")
    elseif(MessageType STREQUAL WARNING)
        list(REMOVE_AT ARGV 0)
        message(${MessageType} "${BoldYellow}${ARGV}${EndColour}")
    elseif(MessageType STREQUAL AUTHOR_WARNING)
        list(REMOVE_AT ARGV 0)
        message(${MessageType} "${BoldCyan}${ARGV}${EndColour}")
    elseif(MessageType STREQUAL STATUS)
        list(REMOVE_AT ARGV 0)
        message(${MessageType} "${Green}${ARGV}${EndColour}")
    else()
        message("${ARGV}")
    endif()
endfunction()
